package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[任务时刻策略天时类型]
 */
@Component("ionicdemo_TSDayTypeCodeList")
public class TSDayTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_TSDayType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("EVERY");
		item0.setId("EVERY");
		item0.setText("每小时");
		item0.setLabel("每小时");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("EVERY",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("SOME");
		item1.setId("SOME");
		item1.setText("指定小时");
		item1.setLabel("指定小时");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("SOME",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}